Package Details: cryptomator 1.5.14-1

Git Clone URL: https://aur.archlinux.org/cryptomator.git (read-only, click to copy)
Package Base: cryptomator
Description: Multiplatform transparent client-side encryption of your files in the cloud.
Upstream URL: https://cryptomator.org/
Keywords: appimage encryption
Licenses: GPL3
Submitter: Foxboron
Maintainer: ajgraves (overheadhunter, SailReal)
Last Packager: ajgraves
Votes: 58
Popularity: 0.85
First Submitted: 2016-04-03 17:36
Last Updated: 2021-04-04 11:05

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

fawn commented on 2018-09-01 20:08

This error is java-openjfx related. Check if You have multiple versions of JDK/JRE installed.

binaryanomaly commented on 2018-09-01 15:32

@fawn: Thanks for your feedback.

I did indeed initially choose by mistake openjdk10. Then removed cryptomator with "pacman -Rcsn cryptomator", deleted the cloned dir, cloned again and re-installed it with "makepkg -si" but still have the same error.

Any ideas how this could be fixed? Re-installing the whole system from scratch would be a lot of effort.

fawn commented on 2018-09-01 15:14

To: binaryanomaly

For me, it's working with openjdk8 not with openjdk10.

binaryanomaly commented on 2018-08-27 16:29

I'm stuck with the below error message. Any idea what went wrong?

18:22:56.362 [main] [INFO ] org.cryptomator.launcher.Cryptomator - Starting Cryptomator 1.3.5 on Linux 4.18.5-arch1-1-ARCH (amd64) Graphics Device initialization failed for : es2, sw Error initializing QuantumRenderer: no suitable pipeline found java.lang.RuntimeException: java.lang.RuntimeException: Error initializing QuantumRenderer: no suitable pipeline found at com.sun.javafx.tk.quantum.QuantumRenderer.getInstance(QuantumRenderer.java:280) at com.sun.javafx.tk.quantum.QuantumToolkit.init(QuantumToolkit.java:221) at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:248) at com.sun.javafx.application.PlatformImpl.startup(PlatformImpl.java:209) at com.sun.javafx.application.LauncherImpl.startToolkit(LauncherImpl.java:675) at com.sun.javafx.application.LauncherImpl.launchApplication1(LauncherImpl.java:695) at com.sun.javafx.application.LauncherImpl.lambda$launchApplication$1(LauncherImpl.java:182) at java.lang.Thread.run(Thread.java:748) Caused by: java.lang.RuntimeException: Error initializing QuantumRenderer: no suitable pipeline found at com.sun.javafx.tk.quantum.QuantumRenderer$PipelineRunnable.init(QuantumRenderer.java:94) at com.sun.javafx.tk.quantum.QuantumRenderer$PipelineRunnable.run(QuantumRenderer.java:124) ... 1 more Exception in thread "main" java.lang.RuntimeException: No toolkit found at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:260) at com.sun.javafx.application.PlatformImpl.startup(PlatformImpl.java:209) at com.sun.javafx.application.LauncherImpl.startToolkit(LauncherImpl.java:675) at com.sun.javafx.application.LauncherImpl.launchApplication1(LauncherImpl.java:695) at com.sun.javafx.application.LauncherImpl.lambda$launchApplication$1(LauncherImpl.java:182) at java.lang.Thread.run(Thread.java:748) 18:22:56.459 [Thread-1] [INFO ] o.c.launcher.CleanShutdownPerformer - Goodbye.

veras commented on 2018-05-12 06:05

Will this be updated to 1.4.0 Beta 1? https://github.com/cryptomator/cryptomator/releases/tag/1.4.0-beta1

veras commented on 2018-03-17 23:27

The command "sudo archlinux-java set java-8-openjdk/jre" which changes the default java environment.

mirolPirol commented on 2018-03-17 12:43

Cryptomator dooes't start on Archmerge. I did it install with AUR-Helper "packer". Errormessage:

[micha@ArcoLENOVO ~]$ cryptomator Exception in thread "main" java.lang.UnsupportedClassVersionError: org/cryptomator/launcher/Cryptomator : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClass(ClassLoader.java:803) at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) at java.net.URLClassLoader.defineClass(URLClassLoader.java:442) at java.net.URLClassLoader.access$100(URLClassLoader.java:64) at java.net.URLClassLoader$1.run(URLClassLoader.java:354) at java.net.URLClassLoader$1.run(URLClassLoader.java:348) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:347) at java.lang.ClassLoader.loadClass(ClassLoader.java:425) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312) at java.lang.ClassLoader.loadClass(ClassLoader.java:358) at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482) [micha@ArcoLENOVO ~]$

What can I do to use this tool?

Slutty commented on 2018-01-21 00:41

This package is NOT out of date. Version 1.3.3 was a "Hotfix release for Windows users...." https://github.com/cryptomator/cryptomator/releases/tag/1.3.3

Version 1.3.2 is the current latest as of writing. https://cryptomator.org/downloads/#linuxDownload

Foxboron commented on 2017-09-06 10:45

Nope, i was wrong. Fixed now sorry.

Anonymous comment on 2017-09-06 10:41

Validating source files with sha256sums...
cryptomator.sh ... FAILED
ERROR: One or more files did not pass the validity check!